using LitJson;

namespace Cute;

public class PCPlatformSTEAM : PCPlatform
{
	protected PaymentPCStartParamsSTEAM _postParams = new PaymentPCStartParamsSTEAM();

	public static string State { get; private set; }

	public static string Country { get; private set; }

	public static string Currency { get; private set; }

	public static string Status { get; private set; }

	public override PaymentPCStartParams SetParameter(string productId, bool isAlertAgree, bool isAlertActive)
	{
		_postParams.product_id = productId;
		_postParams.price = PaymentPC.GetInstance().ProductPriceList[productId];
		_postParams.ip_address = Toolbox.DeviceManager.GetIpAddress();
		_postParams.isalertagree = (isAlertAgree ? 1 : 0);
		_postParams.isalertactive = (isAlertActive ? 1 : 0);
		return _postParams;
	}

	public override void Parse(JsonData response)
	{
		State = response["steam_user_info"]["state"].ToString();
		Country = response["steam_user_info"]["country"].ToString();
		Currency = response["steam_user_info"]["currency"].ToString();
		Status = response["steam_user_info"]["status"].ToString();
	}
}
